• ログイン今すぐ開始

本書は、お客様のご参考のために原文の英語版を機械翻訳したものです。

英語版と齟齬がある場合、英語版の定めが優先するものとします。より詳しい情報については、本リンクをご参照ください。

問題を作成する

セキュリティブルテンNR17-02

概要

New Relic の .NET エージェントのセキュリティアップデートには、エラートレース中に referer ヘッダからクエリパラメータをキャプチャして、機密情報を New Relic に送信できる脆弱性が修正されています。

発売日: 2017年1月12日

脆弱性の識別子: NR17-02

Priority: Medium

対象となるソフトウェア

以下のNew Relicエージェントのバージョンが影響を受けます。

名前

影響を受けるバージョン

メモ

リメディエーション版

.NETエージェント

5.11 - 5.23

非同期が有効な場合のみ

6.6

.NETエージェント

6.0 - 6.5

6.6

脆弱性情報

New Relic の .NET エージェントは、問題の根本原因を特定するために、エラートレース中にリクエストヘッダーを収集します。referer ヘッダーは、リクエストされているリソースにリンクしているウェブページのアドレスを識別する URI です。参照元のURIには、リクエストのクエリパラメーターに機密情報が含まれている可能性があります。New Relic では、エラートレースの際にクエリパラメーターが適切にストリッピングされていないことが判明しました。今回のアップデートでは、このデータを New Relic に送信する前に、リクエストヘッダー内の referer からクエリパラメーターをストリッピングすることで、この問題を修正しました。

緩和要因

  • 非同期は、.NETエージェントのバージョン5.11.0~5.23.0ではデフォルトで無効になっています。
  • ベストプラクティスでは、クエリパラメータを使用して機密データを渡さないことが推奨されています。

回避策

New Relicでは、この脆弱性に対する回避策は確認されていません。

セキュリティの脆弱性をNew Relicに報告

ニューレリックは、お客様とそのデータのセキュリティを重視しています。私たちの製品やウェブサイトにセキュリティ上の脆弱性を発見したと思われる場合は、New Relic の協調的な情報開示プログラムに報告していただくことを歓迎し、大変感謝しています。詳細については、 Reporting security vulnerabilities をご覧ください。

その他のヘルプ

その他のドキュメンテーションリソースには、以下が含まれます。

Copyright © 2022 New Relic株式会社。

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.